Subject: RE: Evaluation: draft-ietf-dnsext-unknown-rrs -Handling of Unknow n DNS Resource Record Types to Proposed Standardraft-ietf-dnsext-unknown - rrs-05

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 20 May 2003 13:50:05 -0700

The reason I suggest this is because of my experience of dealing with
engineers and RFCs.

Finding the RFC that relates to a particular issue is very hard unless you
know precisely what you are looking for. Unless you know that there is an
RFC on IANA requirements you are likely to not bother looking for it.

If your objective is to persuade engineers to actually follow an RFC you
will find it more likely they will comply if you make it easier for them to
do so.

Otherwise you will find that the guy writing the code is actually reading
the O'Riley Nutshell book rather than the RFC.

The point of the draft is to make extension RRs usable. I think it is rather
better if people who are going to start defining such records know that
there is a defined process to get a RR record number assigned and where to
find it.

		Phill

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, May 20, 2003 2:34 PM
> To: Hallam-Baker, Phillip
> Cc: 'Erik Nordmark'; [email-masked]
> Subject: RE: Evaluation: draft-ietf-dnsext-unknown-rrs -Handling of
> Unknow n DNS Resource Record Types to Proposed
> Standardraft-ietf-dnsext-unknown- rrs-05
> 
> 
> Hallam-Baker, Phillip writes:
> > Rather than delete the section entirely why not point it to 
> the RFCs where
> > the IANA considerations are considered?
> 
> Do you mean the IANA Considerations section should contain a reference
> to RFC2929?  I'm afraid I don't quite see the point of this.
> 
> If the IANA Considerations section explicitly states that are no IANA
> actions associated with the document, as Erik Nordmark suggested,
> wouldn't it be confusing if also pointed to a document defining such
> actions?
> -- 
> Andreas Gustafsson, [email-masked]
> 

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: [email-masked] (Andreas Gustafsson)
Date: Tue, 20 May 2003 15:58:11 -0700 (PDT)

> will find it more likely they will comply if you make it easier for them to

Helping engineers find RFC2929 and persuading them to follow it are
laudable goals, but they are not within the scope of the unknown-rrs
specification.  Even if they were, such text would not belong in the
IANA Considerations section since its audience is IANA, not the RR
type specification author.

If you think there is a need for additional guidelines for RR type
specification authors (and there probably is), feel free to write a
separate "Considerations for DNS RR Type Specification Authors" draft
pointing them to RFC2929 and any other relevant, hard-to-find RFCs.
-- 
Andreas Gustafsson, [email-masked]